SoftSolzSoftSolz
HomeAPI GuideAPI ReferenceWidget Tester
customer auth

Consume an email-verification token and mark the end-user verified.

Consume an email-verification token and mark the end-user verified.

POSThttps://staging.softsolz.uk/api/v1/services/customer-auth/email-verifications/complete

Recent Requests

Log in to see full request history
TimeStatusUser Agent
Make a request to see history.

Headers

Authorizationstringrequired

Bearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.

Body Params

tokenstring

The verification token from POST /users/:id/email-verifications.

Response

Response Body

idstringEnd-user id.
emailstringEnd-user email.
namestring | nullDisplay name.
profile_picture_urlstring | nullAvatar URL.
statusstringAccount status.
email_verified_atstring | nullWhen the email was verified.
mfa_enabledbooleanWhether TOTP MFA is enabled.
mfa_enabled_atstring | nullWhen TOTP MFA was enabled.
last_login_atstring | nullLast successful login.
created_atstringCreation timestamp.
updated_atstringLast update timestamp.
metadataobjectTenant-defined metadata bag.

Request

import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.customerAuth.completeEmailVerification({});
console.log(result);

Credentials

Sent as a Bearer token. Stored only in your browser.

Response · 200

{
"data": {
"id": "string",
"email": "string",
"name": "string",
"profile_picture_url": "string",
"status": "string",
"email_verified_at": "string",
"mfa_enabled": true,
"mfa_enabled_at": "string",
"last_login_at": "string",
"created_at": "string",
"updated_at": "string",
"metadata": {}
}
}